#version 430 core

#include "global.inc"

in VertexOutput 
{
	vec2 uv;
} vertexOutput;

uniform sampler2D tex;
out vec4 fragColor;

void main() 
{
	float d = texture(tex, vertexOutput.uv).r;
	float depth = restoreZ(d);
	fragColor = vec4(vec3(d), 1);
	//fragColor = vec4(vertexOutput.uv, 0, 1);
	//fragColor = vec4(texture(tex, vertexOutput.uv).rgb, 1);
}

