#version 430 core

#include "global.inc"

in VertexOutput 
{
	vec2 uv;
} vertexOutput;

uniform vec4 color;
uniform sampler2D tex;
out vec4 fragColor;

void main() 
{
		//vec4 sampled = vec4(1.0, 1.0, 1.0, texture(text, TexCoords).r);
    //color = vec4(textColor, 1.0) * sampled;
	vec4 finalColor = color * vec4(1.0, 1.0, 1.0, texture(tex, vertexOutput.uv).r);
	fragColor = finalColor; // * brightness;
}

