#version 430 core

#include "global.inc"

layout(location = 0) in vec3 position;
//layout(location = 1) in vec3 normal;
//layout(location = 2) in vec2 uv0;

out VertexOutput {
	vec4 positionWorld;
	vec3 normal;
	vec2 uv;
} vertexOutput;


void main() {

	vertexOutput.positionWorld = object.world * vec4(position, 1);
	//vertexOutput.normal = (object.normal * vec4(normal, 0)).xyz;
	//vertexOutput.normal = (transpose(inverse(object.world)) * vec4(normal, 0)).xyz;
	//vertexOutput.uv = uv0;

	gl_Position = object.worldViewProjection * vec4(position, 1);
}