#version 430 core

layout(location = 0) in vec3 position;
layout(location = 1) in vec2 uv0;

uniform mat4 worldViewProjection;

out VertexOutput 
{
	vec2 uv;
} vertexOutput;

void main() 
{
	vertexOutput.uv = uv0;
	gl_Position = worldViewProjection * vec4(position, 1.0);
}