#version 430 core

#include "global.inc"

in VertexOutput 
{
	vec4 positionWorld;
	vec3 normal;
	vec2 uv;
} vertexOutput;

uniform struct Material
{
	vec3 color;
} material;

out vec4 fragColor;

void main() 
{
	fragColor = vec4(material.color, 1.0f);
}

