#version 430 core

#include "global.inc"

layout(location = 0) in vec3 position;

out VertexOutput {
	vec4 positionWorld;
} vertexOutput;

void main() {
	vertexOutput.positionWorld = object.world * vec4(position, 1);
	gl_Position = object.worldViewProjection * vec4(position, 1);
}